﻿using System;

using TestCommon;

namespace TestSender
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            MessageClient client = new MessageClient();

            ServerInfo serverInfo = new ServerInfo("127.0.0.1:4222", null, null, 2000, null);

            client.Initialize(serverInfo, null);

            Console.WriteLine("송신 메시지 클라인트를 초기화 했습니다.");

            client.Start();

            Console.WriteLine("송신 메시지 클라이언트를 시작했습니다.");

            Console.WriteLine("메시지를 송신하기 위해 아무 키나 눌러 주시기 바랍니다.");

            Console.ReadKey(false);

            for(int i = 0; i < 10; i++)
            {
                string reply = client.RequestMessage("foo", string.Format("테스트 메시지 : {0}", i + 1), 5000);

                Console.WriteLine(reply);
            }

            Console.WriteLine("프로그램을 종료하기 위해 아무 키나 눌러 주시기 바랍니다.");

            Console.ReadKey(false);

            client.Stop();

            Console.WriteLine("송신 메시지 클라이언트를 중단했습니다.");
        }

        #endregion
    }
}